跳转到主要内容
资源中心/硬件设施/主存储相关接口/本地存储相关接口
PUTLocal Storage Operations起始版本 0.6同步需要认证

迁移本地存储上存放的云盘

迁移本地存储上存放的云盘

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

路径参数

请求参数

路径参数

  • volumeUuidString必填

    云盘UUID

请求体字段

  • localstoragemigratevolumeObject必填

    localstoragemigratevolume 请求体结构

    • destHostUuidString必填

      目标主机UUID

  • systemTagsList

    系统标签

  • userTagsList

    用户标签

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • errorErrorCode必填

    错误码,若不为null,则表示操作失败, 操作成功时该字段为null。 详情参考error

    • codeString必填

      错误码号,错误的全局唯一标识,例如SYS.1000, HOST.1001

    • descriptionString必填

      错误的概要描述

    • detailsString必填

      错误的详细信息

    • elaborationString必填

      保留字段,默认为null

    • opaqueLinkedHashMap必填

      保留字段,默认为null

    • causeErrorCode必填

      根错误,引发当前错误的源错误,若无原错误,该字段为null

  • inventoryLocalStorageResourceRefInventory必填

    详情参考inventory

    • resourceUuidString必填

      资源UUID。若指定,资源会使用该字段值作为UUID。

    • primaryStorageUuidString必填

      主存储UUID

    • hostUuidString必填

      物理机UUID

    • sizeLong必填

      返回记录数。

    • resourceTypeString必填

      资源类型。

    • createDateTimestamp必填

      创建时间

    • lastOpDateTimestamp必填

      最后一次修改时间

请求地址

PUT/zstack/v1/primary-storage/local-storage/volumes/{volumeUuid}/actions

/zstack/v1/primary-storage/local-storage/volumes/{volumeUuid}/actions

操作 ID

LocalStorageMigrateVolume

永久链接

请求示例

curl -X PUT 'http://{host}/zstack/v1/primary-storage/local-storage/volumes/{volumeUuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"localstoragemigratevolume":{"destHostUuid":"<destHostUuid>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

响应示例

200
{ "inventory": { "resourceUuid": "bad5e950cf014275bf9ba6e4cfe78a97", "primaryStorageUuid": "81d893539a6b4ce7b9957c7a5d6c5df8", "hostUuid": "9d250b88ae90449db567cfa18a75fecc", "size": 2.4035328E7 } }

变更历史

此 API 暂无变更历史记录。

查看全部变更历史